Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTSearchEngine Class Reference

Inheritance diagram for SPTSearchEngine:

[legend]
Collaboration diagram for SPTSearchEngine:

[legend]
List of all members.

## Public Member Functions
| SPTSearchEngine ()
| GetFieldContent ($ItemId, $FieldName)
| SearchFieldForPhrases ($FieldName, $Phrase)
| SearchFieldsForComparisonMatches ($FieldNames, $Operators, $Values)
| UpdateForResource ($ItemId)
## Static Public Member Functions
static | GetItemIdsSortedByField ($FieldName, $SortDescending)
static | QueueUpdateForItem ($ItemId, $Priority=ApplicationFramework::PRIORITY_LOW)
static | RunUpdateForItem ($ItemId)

## Detailed Description

Definition at line 11 of file SPTSearchEngine.php.

## Member Function Documentation

SPTSearchEngine::GetFieldContent | ( | $ | ItemId,
|  | $ | FieldName |
| ) |  |  |

Reimplemented from SearchEngine.

Definition at line 74 of file SPTSearchEngine.php.

static SPTSearchEngine::GetItemIdsSortedByField | ( | $ | FieldName,
|  | $ | SortDescending |
| ) |  |  | `[static]`

Definition at line 506 of file SPTSearchEngine.php.

static SPTSearchEngine::QueueUpdateForItem | ( | $ | ItemId,
|  | $ | Priority = `ApplicationFramework::PRIORITY_LOW` |
| ) |  |  | `[static]`

Definition at line 512 of file SPTSearchEngine.php.

static SPTSearchEngine::RunUpdateForItem | ( | $ | ItemId | ) | `[static]`

Definition at line 520 of file SPTSearchEngine.php.

References SPTSearchEngine().

SPTSearchEngine::SearchFieldForPhrases | ( | $ | FieldName,
|  | $ | Phrase |
| ) |  |  |

Reimplemented from SearchEngine.

Definition at line 84 of file SPTSearchEngine.php.

References SearchEngine::DebugLevel(), SearchEngine::DMsg(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SearchFieldsForComparisonMatches | ( | $ | FieldNames,
|  | $ | Operators,
|  | $ | Values |
| ) |  |  |

Definition at line 213 of file SPTSearchEngine.php.

References SearchEngine::DBFieldName(), SearchEngine::DefaultSearchLogic(), SearchEngine::DMsg(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SPTSearchEngine | ( |  | ) |

Definition at line 13 of file SPTSearchEngine.php.

References SearchEngine::$DB, SearchEngine::AddField(), SearchEngine::DBFieldName(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and SearchEngine::SearchEngine().

Referenced by RunUpdateForItem().

Here is the caller graph for this function:

SPTSearchEngine::UpdateForResource | ( | $ | ItemId | ) |

Definition at line 534 of file SPTSearchEngine.php.

References SearchEngine::UpdateForItem().

The documentation for this class was generated from the following file:

- SPTSearchEngine.php